/* Layout */
import Layout from '@/layout'
export default {
  path: 'capitalFinancingManage',
  name: 'FinancingManage', // CapitalFinancingManage
  component: Layout,
  redirect: '/capitalAuth/index',
  meta: { title: '资方融资管理', icon: 'financingManage' },
  children: [
    {
      path: '/capitalAuth/index',
      name: 'FinancingManage', // CapitalAuth
      component: () => import('@/views/capitalFinancingManage/capitalAuth/index'),
      meta: { title: '资方授信列表' }
    },
    {
      path: '/capitalAuth/capitalAuthAdd',
      name: 'CapitalAuthAdd',
      hidden: true,
      component: () => import('@/views/capitalFinancingManage/capitalAuth/capticalAuthAdd'),
      meta: { title: '资方授信新增', activeMenu: '/capitalAuth/index' }
    },
    {
      path: '/capitalAuth/capitalAuthEdit',
      name: 'CapitalAuthEdit',
      hidden: true,
      component: () => import('@/views/capitalFinancingManage/capitalAuth/capticalAuthEdit'),
      meta: { title: '资方授信编辑', activeMenu: '/capitalAuth/index' }
    },
    {
      path: '/capitalAuth/capitalAuthDetail',
      name: 'CapitalAuthDetail',
      hidden: true,
      component: () => import('@/views/capitalFinancingManage/capitalAuth/capticalAuthDetail'),
      meta: { title: '资方授信查看', activeMenu: '/capitalAuth/index' }
    },
    {
      path: '/capitalLoan/index',
      name: 'FinancingManage', // CapitalLoanMoney
      component: () => import('@/views/capitalFinancingManage/loanMoney/index'),
      meta: { title: '资方放款列表' } // breadcrumb: false
    },
    {
      path: '/capitalLoan/detail',
      name: 'CapitalLoanMoneyDetail',
      component: () => import('@/views/capitalFinancingManage/loanMoney/detail.vue'),
      hidden: true,
      meta: { title: '资方放款详情', activeMenu: '/capitalLoan/index' } // breadcrumb: false
    },
    {
      path: '/capitalPayment/index',
      name: 'FinancingManage', // CapitalPayment
      component: () => import('@/views/capitalFinancingManage/payment/index'),
      meta: { title: '资方还款列表' } // breadcrumb: false
    },
    {
      path: '/capitalPayment/detail',
      name: 'CapitalPaymentDetail',
      component: () => import('@/views/capitalFinancingManage/payment/detail.vue'),
      hidden: true,
      meta: { title: '资方还款详情', activeMenu: '/capitalPayment/index' }
    },
    {
      path: '/advancePayment/index',
      name: 'FinancingManage', // CapitalAdvancePayment
      component: () => import('@/views/capitalFinancingManage/advancePayment/index'),
      meta: { title: '资方垫付列表' }
    },
    {
      path: '/advancePayment/detail',
      name: 'CapitalAdvancePaymentDetail',
      component: () => import('@/views/capitalFinancingManage/advancePayment/detail.vue'),
      hidden: true,
      meta: { title: '资方垫付详情', activeMenu: '/advancePayment/index' }
    }
    // {
    //   path: '/financingManage/limitExpenditure/:id',
    //   name: 'LimitExpenditure',
    //   component: () => import('@/views/financingManage/limitExpenditure/index'),
    //   hidden: true,
    //   meta: { title: '额度支用', activeMenu: '/financingManage/index' }
    // }
  ]
}
